package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamStageTemp;
//
//@Repository
//public interface ExamStageTempDao extends MongoRepository<ExamStageTemp, String>{
//
//	public List<ExamStageTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamStageTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 批次场次临时表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamStageTempDao extends BaseMapper<ExamStageTemp> {
    public List<ExamStageTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);

    public List<Map> findByExamCodeAndAttachmentIdByMap(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);

    public List<Map> findByExamCodeAndAttachmentIdAndBatchId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId, @Param("batchId") String batchId);
}