package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//import java.util.Map;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.IndexDirection;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 考务考生附加信息表
// * 一条记录  描述的是 一个考生的附加信息
// * @author tianjun
// *
// */
//@Document(collection = "jk_exam_student_additional")
//@CompoundIndexes({
//	@CompoundIndex(name = "exam_student_additional_idx", def = "{'exam_code':1,'student_id': 1}")
//})
//public class ExamStudentAdditional implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 7840809925008740448L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	//准考证号
//	@Field("student_id")
//	@Indexed(direction=IndexDirection.ASCENDING)
//	private String studentId;
//
//	//科目编码
//	@Field("course_code")
//	@Indexed(direction=IndexDirection.ASCENDING)
//	private String courseCode;
//
//	//科目名称
//	@Field("course_name")
//	private String courseName;
//
//	//数据对象
//	@Field("data")
//	private Map<String, String> data;
//
//	@Field("create_time")
//	private Date createTime;
//
//	public ExamStudentAdditional(){};
//
//	public ExamStudentAdditional(ExamStudentAdditionalTemp temp) {
//		setExamCode(temp.getExamCode());
//		setStudentId(temp.getStudentId());
//		setCourseCode(temp.getCourseCode());
//		setCourseName(temp.getCourseName());
//		setData(temp.getData());
//		setCreateTime(temp.getCreateTime());
//	}
//
//
//	public String getCourseName() {
//		return courseName;
//	}
//
//
//
//	public void setCourseName(String courseName) {
//		this.courseName = courseName;
//	}
//
//
//
//	public String getStudentId() {
//		return studentId;
//	}
//
//	public void setStudentId(String studentId) {
//		this.studentId = studentId;
//	}
//
//	public String getCourseCode() {
//		return courseCode;
//	}
//
//	public void setCourseCode(String courseCode) {
//		this.courseCode = courseCode;
//	}
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	public Map<String, String> getData() {
//		return data;
//	}
//
//	public void setData(Map<String, String> data) {
//		this.data = data;
//	}
//
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>
 * 考务考生附加信息表
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamStudentAdditional对象", description="考务考生附加信息表")
@TableName("jk_exam_student_additional")
public class ExamStudentAdditional implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "科目编码")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "数据")
    private Map<String, String> data;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Map<String, String> getData() {
        return data;
    }

    public void setData(Map<String, String> data) {
        this.data = data;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
