package com.qmth.jkserver.dto;

//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.annotation.Transient;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
//import com.qmth.jkserver.model.Attachment;
//import com.qmth.jkserver.model.ExamPlan;
//import com.qmth.jkserver.model.ExamRoom;
//
///**
// *  监考端数据备份
// * @author tianjun
// *
// */
//@Document(collection = "jk_room_monitor_client_data")
//@CompoundIndexes({@CompoundIndex(name = "room_monitor_client_data_idx", def = "{'exam_code':1,'place_code': 1, 'room_code': 1}") })
//public class RoomMonitorClientData {
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	@Field("place_code")
//	private String placeCode;
//
//	@Field("place_name")
//	private String placeName;
//
//	@Field("room_code")
//	private String roomCode;
//
//	@Field("room_name")
//	private String roomName;
//
//	//解密之后的qm文件
//	@Field("decode_file")
//	private Attachment decodeFile;
//
//	//备份的数据文件名
//	@Field("name")
//	private String name;
//
//	//文件大小
//	@Field("size")
//	private Long size;
//
//	//创建时间
//	@Field("time")
//	private Date time;
//
//	@Transient
//    //TODO 待关联
//	private ExamPlan examPlan;
//
//	@Transient
//    //TODO 待关联
//	private ExamRoom examRoom;
//
//	@Field("upload")
//	private boolean upload;//是否上传
//
//	public boolean isUpload() {
//		return upload;
//	}
//
//	public void setUpload(boolean upload) {
//		this.upload = upload;
//	}
//
//	/**
//	 * @return the size
//	 */
//	public Long getSize() {
//		return size;
//	}
//
//	/**
//	 * @param size the size to set
//	 */
//	public void setSize(Long size) {
//		this.size = size;
//	}
//
//	/**
//	 * @return the examPlan
//	 */
//	public ExamPlan getExamPlan() {
//		return examPlan;
//	}
//
//	/**
//	 * @param examPlan the examPlan to set
//	 */
//	public void setExamPlan(ExamPlan examPlan) {
//		this.examPlan = examPlan;
//	}
//
//	/**
//	 * @return the examRoom
//	 */
//	public ExamRoom getExamRoom() {
//		return examRoom;
//	}
//
//	/**
//	 * @param examRoom the examRoom to set
//	 */
//	public void setExamRoom(ExamRoom examRoom) {
//		this.examRoom = examRoom;
//	}
//
//	/**
//	 * @return the id
//	 */
//	public String getId() {
//		return id;
//	}
//
//	/**
//	 * @param id the id to set
//	 */
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	/**
//	 * @return the examCode
//	 */
//	public String getExamCode() {
//		return examCode;
//	}
//
//	/**
//	 * @param examCode the examCode to set
//	 */
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	/**
//	 * @return the placeCode
//	 */
//	public String getPlaceCode() {
//		return placeCode;
//	}
//
//	/**
//	 * @param placeCode the placeCode to set
//	 */
//	public void setPlaceCode(String placeCode) {
//		this.placeCode = placeCode;
//	}
//
//	/**
//	 * @return the placeName
//	 */
//	public String getPlaceName() {
//		return placeName;
//	}
//
//	/**
//	 * @param placeName the placeName to set
//	 */
//	public void setPlaceName(String placeName) {
//		this.placeName = placeName;
//	}
//
//	/**
//	 * @return the roomCode
//	 */
//	public String getRoomCode() {
//		return roomCode;
//	}
//
//	/**
//	 * @param roomCode the roomCode to set
//	 */
//	public void setRoomCode(String roomCode) {
//		this.roomCode = roomCode;
//	}
//
//	/**
//	 * @return the roomName
//	 */
//	public String getRoomName() {
//		return roomName;
//	}
//
//	/**
//	 * @param roomName the roomName to set
//	 */
//	public void setRoomName(String roomName) {
//		this.roomName = roomName;
//	}
//
//	/**
//	 * @return the decodeFile
//	 */
//	public Attachment getDecodeFile() {
//		return decodeFile;
//	}
//
//	/**
//	 * @param decodeFile the decodeFile to set
//	 */
//	public void setDecodeFile(Attachment decodeFile) {
//		this.decodeFile = decodeFile;
//	}
//
//	/**
//	 * @return the name
//	 */
//	public String getName() {
//		return name;
//	}
//
//	/**
//	 * @param name the name to set
//	 */
//	public void setName(String name) {
//		this.name = name;
//	}
//
//	/**
//	 * @return the time
//	 */
//	public Date getTime() {
//		return time;
//	}
//
//	/**
//	 * @param time the time to set
//	 */
//	public void setTime(Date time) {
//		this.time = time;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 监考端数据备份
 * </p>
 *
 * @author wangliang
 * @since 2023-03-03
 */
@ApiModel(value="JkRoomMonitorClientData对象", description="监考端数据备份")
@TableName("jk_room_monitor_client_data")
public class RoomMonitorClientData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "地方编码")
    private String placeCode;

    @ApiModelProperty(value = "地方名称")
    private String placeName;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "考场名称")
    private String roomName;

    @ApiModelProperty(value = "解密之后的qm文件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long decodeFileId;

    @ApiModelProperty(value = "备份的数据文件名")
    private String name;

    @ApiModelProperty(value = "大小")
    private Double size;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    @ApiModelProperty(value = "考试计划id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examPlanId;

    @ApiModelProperty(value = "考点考场id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examRoomId;

    @ApiModelProperty(value = "是否上传，1：已上传，0：未上传")
    private Boolean upload;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Long getDecodeFileId() {
        return decodeFileId;
    }

    public void setDecodeFileId(Long decodeFileId) {
        this.decodeFileId = decodeFileId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getSize() {
        return size;
    }

    public void setSize(Double size) {
        this.size = size;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public Long getExamPlanId() {
        return examPlanId;
    }

    public void setExamPlanId(Long examPlanId) {
        this.examPlanId = examPlanId;
    }

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public Boolean getUpload() {
        return upload;
    }

    public void setUpload(Boolean upload) {
        this.upload = upload;
    }
}