package com.qmth.jkserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.jkserver.enums.AuthEnum;
import com.qmth.jkserver.model.TSAuth;

/**
 * <p>
 * 激活授权配置表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-04-26
 */
public interface TSAuthService extends IService<TSAuth> {

    /**
     * 查询最后激活信息
     *
     * @param authEnum
     * @return
     */
    TSAuth lastAuthInfo(AuthEnum authEnum);
}
